## net.sf.saxon.charcode
Class UnknownCharacterSet

    java.lang.Object
      |
      +--net.sf.saxon.charcode.UnknownCharacterSet

All Implemented Interfaces:
  CharacterSet

public class UnknownCharacterSet
extends java.lang.Object
implements CharacterSet

This class establishes properties of a character set that is known to the Java VM but not specifically known to Saxon

Constructor Summary
`protected` `UnknownCharacterSet(java.nio.charset.Charset charset)`

Method Summary
`boolean` `inCharset(int c)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownCharacterSet

    protected UnknownCharacterSet(java.nio.charset.Charset charset)

Method Detail

### inCharset

    public final boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`